-- RandomSay

-- command to say one of a bunch of things

-- use:
-- /rem chance thing1/thing2/thing3/...
-- /rs chance thing1/thing2/thing3/...
--
-- Randomly picks one of the slash-separated strings and 
-- says or emotes it.  If chance is supplied, then generates
-- a random number from 1 to 100, and, if it is less than or
-- equal to chance, picks one of the strings and says or 
-- emotes it.

--

-- Example:

--  /rs 20 Lok'tar ogar!/Death to the foes of the Horde!

--    - has a 20% chance to say something.  If it does, will

--      say one of the two possiblities given.


function RandomChat (channel, arg)
    -- is the first thing in the argument string a number?
    first, last = string.find(arg, "^(%d+%.?%d)%s")
    if first then
        chance = tonumber(string.sub(arg, first, last))
        arg = string.sub(arg, last+1)
        if ( math.random(100) > chance) then
            return
        else
            
        end
    end
    
    SendChatMessage(GetRandomArgument(strsplit("/",arg)), channel)
end

SLASH_RANDOMSAY1 = "/rsay"
SLASH_RANDOMSAY2 = "/rs"
SLASH_RANDOMEMOTE1 = "/remote"
SLASH_RANDOMEMOTE2 = "/rem"
SLASH_RANDOMYELL1 = "/ryell"
SLASH_RANDOMYELL2 = "/ry"

SlashCmdList["RANDOMSAY"] = function (args)
    RandomChat("SAY", args)
end

SlashCmdList["RANDOMEMOTE"] = function (args)
    RandomChat("EMOTE", args)
end

SlashCmdList["RANDOMYELL"] = function (args)
    RandomChat("YELL", args)
end